Skip to main content
`Ctrl`+`K`

# PetscDeviceAttribute

Attribute detailing a property or feature of a `PetscDevice`

## Synopsis

    #include <petscdevicetypes.h>
    typedef enum {
      PETSC_DEVICE_ATTR_SIZE_T_SHARED_MEM_PER_BLOCK,
      PETSC_DEVICE_ATTR_MAX
    } PetscDeviceAttribute;

## Values

- `PETSC_DEVICE_ATTR_SIZE_T_SHARED_MEM_PER_BLOCK` - The maximum amount of shared memory per block in a device kernel

- `PETSC_DEVICE_ATTR_MAX` - Invalid attribute, do not use

## See Also

`PetscDevice`, `PetscDeviceGetAttribute()`

## Level

beginner

## Location

include/petscdevicetypes.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages